var Promise = require("bluebird"),
    fs = Promise.promisifyAll(require('fs-extra'));

var path = require('path');
var gitCreator = require('./gitCreator');
var structureDir = path.join(__dirname, '../structure/');

function generator(project, structure){
  var projectDir = path.join(__dirname, `../${project}/`);
  return fs.copyAsync(`${structureDir}${structure}`, projectDir, {clobber: true})
    .then(function(err){
      if (err) return console.error(err)
      gitCreator(projectDir);
    });
}

module.exports = generator;
