var shell = require('shelljs');

function gitCreator(projectDir) {
  if (!shell.which('git')) {
    shell.echo('Sorry, this script requires git');
    shell.exit(1);
  }else {
    shell.echo('haha, you have git!');
    shell.cd(projectDir);
    if (shell.exec('git init').code !== 0) {
      shell.echo('Error: Git init failed');
      shell.exit(1);
    }
  }
}

module.exports = gitCreator;
